package vip.xiaonuo.Timer;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.modular.ai.carCapture.mapper.CarCaptureMapper;
import vip.xiaonuo.modular.ai.dirtyCapture.mapper.DirtyCaptureMapper;
import vip.xiaonuo.modular.ai.personCapture.mapper.PersonCaptureMapper;
import vip.xiaonuo.modular.ai.speciesCapture.mapper.SpeciesCaptureMapper;

@Slf4j
@Component
public class AiTimer implements CommonTimerTaskRunner {

    @Autowired
    private PersonCaptureMapper personCaptureMapper;
    @Autowired
    private CarCaptureMapper carCaptureMapper;
    @Autowired
    private SpeciesCaptureMapper speciesCaptureMapper;
    @Autowired
    private DirtyCaptureMapper dirtyCaptureMapper;

    @Override
    public void action() {
        personCaptureMapper.updateTime();
        carCaptureMapper.updateTime();
        speciesCaptureMapper.updateTime();
        dirtyCaptureMapper.updateTime();
    }
}
