/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.base.pigFarm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;
import vip.xiaonuo.core.param.OrgIdParam;
import vip.xiaonuo.modular.base.pigFarm.entity.PigFarm;
import vip.xiaonuo.modular.base.pigFarm.param.PigFarmAddParam;
import vip.xiaonuo.modular.base.pigFarm.param.PigFarmEditParam;
import vip.xiaonuo.modular.base.pigFarm.param.PigFarmIdParam;

import java.io.IOException;
import java.util.List;

/**
 * 猪场Service接口
 *
 * @author newspaper
 * @date  2024/01/25 15:11
 **/
public interface PigFarmService extends IService<PigFarm> {

    /**
     * 删除猪场
     *
     * @author newspaper
     * @date  2024/01/25 15:11
     */
    void delete(List<PigFarmIdParam> pigFarmIdParamList);

    /**
     * 获取猪场详情
     *
     * @author newspaper
     * @date  2024/01/25 15:11
     */
    PigFarm detail(PigFarmIdParam pigFarmIdParam);

    /**
     * 获取猪场详情
     *
     * @author newspaper
     * @date  2024/01/25 15:11
     **/
    PigFarm queryEntity(String id);

    void add(String name, String size, String location, String detailLocation, String orgId, MultipartFile imgUrl) throws IOException;

    void edit(String id, String size, String location, String detailLocation, String orgId, MultipartFile imgUrl) throws IOException;

    PigFarm getSelf(OrgIdParam orgIdParam);
}
