/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigbatch.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 猪只批次实体
 *
 * @author wang
 * @date  2023/12/06 14:53
 **/
@Getter
@Setter
@TableName("pig_batch")
public class PigBatch {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 批次号 */
    @ApiModelProperty(value = "批次号", position = 2)
    private String batchCode;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 3)
    private Date createDate;

    /** 批次中母猪数量 */
    @ApiModelProperty(value = "批次中母猪数量", position = 4)
    private String batchNum;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 5)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 6)
    private Date updateDate;

    /** 修改人 */
    @ApiModelProperty(value = "修改人", position = 7)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateUser;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 8)
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String deleteFlag;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 9)
    private String orgId;
}
