/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigchildbirth.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.bi.pigchildbirth.entity.PigChildbirth;
import vip.xiaonuo.modular.bi.pigchildbirth.param.PigChildbirthAddParam;
import vip.xiaonuo.modular.bi.pigchildbirth.param.PigChildbirthEditParam;
import vip.xiaonuo.modular.bi.pigchildbirth.param.PigChildbirthIdParam;
import vip.xiaonuo.modular.bi.pigchildbirth.param.PigChildbirthPageParam;

import java.util.List;

/**
 * 母猪妊娠Service接口
 *
 * @author wang
 * @date  2023/12/07 09:39
 **/
public interface PigChildbirthService extends IService<PigChildbirth> {

    /**
     * 获取母猪妊娠分页
     *
     * @author wang
     * @date  2023/12/07 09:39
     */
    Page<PigChildbirth> page(PigChildbirthPageParam pigChildbirthPageParam);

    /**
     * 添加母猪妊娠
     *
     * @author wang
     * @date  2023/12/07 09:39
     */
    void add(PigChildbirthAddParam pigChildbirthAddParam);

    /**
     * 编辑母猪妊娠
     *
     * @author wang
     * @date  2023/12/07 09:39
     */
    void edit(PigChildbirthEditParam pigChildbirthEditParam);

    /**
     * 删除母猪妊娠
     *
     * @author wang
     * @date  2023/12/07 09:39
     */
    void delete(List<PigChildbirthIdParam> pigChildbirthIdParamList);

    /**
     * 获取母猪妊娠详情
     *
     * @author wang
     * @date  2023/12/07 09:39
     */
    PigChildbirth detail(PigChildbirthIdParam pigChildbirthIdParam);

    /**
     * 获取母猪妊娠详情
     *
     * @author wang
     * @date  2023/12/07 09:39
     **/
    PigChildbirth queryEntity(Integer id);
}
