/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigfat.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import io.swagger.models.auth.In;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.bi.pigfat.entity.PigFat;
import vip.xiaonuo.modular.bi.pigfat.param.PigFatAddParam;
import vip.xiaonuo.modular.bi.pigfat.param.PigFatEditParam;
import vip.xiaonuo.modular.bi.pigfat.param.PigFatIdParam;
import vip.xiaonuo.modular.bi.pigfat.param.PigFatPageParam;


import java.util.List;

/**
 * 肥猪信息Service接口
 *
 * @author wang
 * @date  2023/12/18 09:20
 **/
public interface PigFatService extends IService<PigFat> {

    /**
     * 获取肥猪信息分页
     *
     * @author wang
     * @date  2023/12/18 09:20
     */
    Page<PigFat> page(PigFatPageParam pigFatPageParam);

    /**
     * 添加肥猪信息
     *
     * @author wang
     * @date  2023/12/18 09:20
     */
    CommonResult add(PigFatAddParam pigFatAddParam);

    /**
     * 编辑肥猪信息
     *
     * @author wang
     * @date  2023/12/18 09:20
     */
    CommonResult edit(PigFatEditParam pigFatEditParam);

    /**
     * 删除肥猪信息
     *
     * @author wang
     * @date  2023/12/18 09:20
     */
    void delete(List<PigFatIdParam> pigFatIdParamList);

    /**
     * 获取肥猪信息详情
     *
     * @author wang
     * @date  2023/12/18 09:20
     */
    PigFat detail(PigFatIdParam pigFatIdParam);

    /**
     * 获取肥猪信息详情
     *
     * @author wang
     * @date  2023/12/18 09:20
     **/
    PigFat queryEntity(Integer id);
}
