/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.energy.energyDevice.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fhs.core.trans.anno.Trans;
import com.fhs.core.trans.constant.TransType;
import com.fhs.core.trans.vo.TransPojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;
import vip.xiaonuo.modular.base.baseConfig.entity.BaseConfig;
import vip.xiaonuo.modular.base.pigpen.entity.BasePigpen;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 能耗设备实体
 *
 * @author newspaper
 * @date  2023/12/28 08:46
 **/
@Getter
@Setter
@TableName("energy_device")
public class EnergyDevice extends CommonEntity implements TransPojo {

    /** id */
    @TableId
    @ApiModelProperty(value = "id", position = 1)
    private String id;

    /** 设备编号 */
    @ApiModelProperty(value = "设备编号", position = 2)
    private String deviceCode;

    /** 设备类型 */
    @ApiModelProperty(value = "设备类型", position = 3)
    @Trans(type = TransType.SIMPLE, target = BaseConfig.class,fields = "configName", alias = "type", ref = "deviceType")
    private String deviceTypeId;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", position = 4)
    private String deviceName;

    /** 安装位置id */
    @ApiModelProperty(value = "安装位置id", position = 5)
    @Trans(type = TransType.SIMPLE, target = BasePigpen.class,fields = "fullName", alias = "pigpen", ref = "buildName")
    private String installPosition;

    /** 状态 */
    @ApiModelProperty(value = "状态", position = 6)
    private Integer status;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 7)
    private String orgId;

    /** 设备类型 */
    @ApiModelProperty(value = "设备类型", position = 8)
    @TableField(exist = false)
    private String deviceType;

    /** 安装位置 */
    @ApiModelProperty(value = "安装位置", position = 9)
    @TableField(exist = false)
    private String buildName;
}
