/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.energy.energyElectricity.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 能耗电表实体
 *
 * @author newspaper
 * @date  2023/12/21 09:15
 **/
@Getter
@Setter
@TableName("energy_electricity")
public class EnergyElectricity {

    /** id */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "id", position = 1)
    private int id;

    /** 用电量 */
    @ApiModelProperty(value = "用电量", position = 2)
    private String electricityValue;

    /** 原始电量 */
    @ApiModelProperty(value = "原始电量", position = 3)
    private String originalValue;

    /** 上传时间 */
    @ApiModelProperty(value = "上传时间", position = 4)
    private Date originalDate;

    /** 单元ID */
    @ApiModelProperty(value = "单元ID", position = 5)
    private String unitId;

    /** 组织ID */
    @ApiModelProperty(value = "组织ID", position = 6)
    private String orgId;

    /** 设备编码 */
    @ApiModelProperty(value = "设备编码", position = 7)
    private String deviceCode;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 8)
    private Date createDate;
}
