/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.energy.energyWater.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.modular.energy.energyWater.entity.EnergyWater;
import vip.xiaonuo.modular.energy.energyWater.entity.vo.EnergyWaterListVo;
import vip.xiaonuo.modular.energy.energyWater.entity.vo.EnergyWaterTopVo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 能耗水表Mapper接口
 *
 * @author newspaper
 * @date  2023/12/21 09:15
 **/
public interface EnergyWaterMapper extends BaseMapper<EnergyWater> {
    BigDecimal getWeekTotal(String orgId);

    BigDecimal getLastWeekTotal(String orgId);

    BigDecimal getWeekTotalByType(String stage, String orgId);

    BigDecimal getMonthTotal(String orgId);

    BigDecimal getLastMonthTotal(String orgId);

    BigDecimal getMonthTotalByType(String stage, String orgId);

    List<EnergyWaterListVo> listToday(List<String> pigpenList, String orgId);

    List<EnergyWaterListVo> listWeek(List<String> pigpenList, String orgId);

    List<EnergyWaterListVo> listMonth(List<String> pigpenList, String orgId);

    List<EnergyWaterListVo> listCustom(List<String> pigpenList, String startDate, String endDate, String orgId);

    List<EnergyWaterTopVo> listTodayTop(String orgId);

    List<EnergyWaterTopVo> listWeekTop(String orgId);

    List<EnergyWaterTopVo> listMonthTop(String orgId);

    List<EnergyWaterTopVo> listCustomTop(String orgId, String startDate, String endDate);

    List<EnergyWaterListVo> listSevenDay(List<String> pigpenList, String orgId);

    BigDecimal getToday(List<String> pigpenList, String orgId);

    BigDecimal getSevenDayTotal(String orgId,String pigpenId);
}
