/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.env.envdevice.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.base.baseConfig.entity.BaseConfig;
import vip.xiaonuo.modular.env.entity.EnvDeviceEquipment;
import vip.xiaonuo.modular.env.envdevice.entity.EnvDevice;
import vip.xiaonuo.modular.env.envdevice.entity.vo.EnvDeviceCountVo;
import vip.xiaonuo.modular.env.envdevice.param.*;

import java.util.List;
import java.util.Map;

/**
 * 环控设备Service接口
 *
 * @author newspaper
 * @date  2023/12/18 09:58
 **/
public interface EnvDeviceService extends IService<EnvDevice> {

    /**
     * 获取环控设备分页
     *
     * @author newspaper
     * @date  2023/12/18 09:58
     */
    Page<EnvDevice> page(EnvDevicePageParam envDevicePageParam);

    /**
     * 添加环控设备
     *
     * @author newspaper
     * @date  2023/12/18 09:58
     */
    CommonResult add(EnvDeviceAddParam envDeviceAddParam);

    /**
     * 编辑环控设备
     *
     * @author newspaper
     * @date  2023/12/18 09:58
     */
    void edit(EnvDeviceEditParam envDeviceEditParam);

    /**
     * 删除环控设备
     *
     * @author newspaper
     * @date  2023/12/18 09:58
     */
    void delete(List<EnvDeviceIdParam> envDeviceIdParamList);

    /**
     * 获取环控设备详情
     *
     * @author newspaper
     * @date  2023/12/18 09:58
     */
    EnvDevice detail(EnvDeviceIdParam envDeviceIdParam);

    /**
     * 获取环控设备详情
     *
     * @author newspaper
     * @date  2023/12/18 09:58
     **/
    EnvDevice queryEntity(String id);

    EnvDeviceCountVo deviceCount(EnvDeviceOrgIdParam envDeviceOrgIdParam);

    List<BaseConfig> deviceTypeSelector(EnvDeviceOrgIdParam envDeviceOrgIdParam);

    List<EnvDeviceEquipment> getEquipmentByUnitId(unitIdParam unitIdParam);
}
